
Katello - Bug #5729

New searchables for Content Host need to resolve for uuid instead of id, since

create/update/show/delete are looking for uuid for input

05/14/2014 09:43 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The api for Content Host currently takes uuid as the id of the Content host.

Currently the commands correctly filters the Content Host but do not resolves for the id instead of the uuid

Associated revisions

Revision a6009276 - 05/16/2014 05:25 PM - dustin tsang

Fixes #5729 - content-host lookup by uuid

Commands info, create, delete commands expect a uuid as the id.

Currently searchables for systems are resolving the db id, so

the commands can not find the system by db id. This fix allows

all systems searchables to obtain the uuid as the

id.

Revision 9e8fd260 - 05/21/2014 09:45 PM - dustin tsang

Merge pull request #168 from dustint-rh/985393_searchables_resolve_by_uuid_only_uuid

Fixes #5729 - content-host lookup by uuid

History

#1 - 05/21/2014 10:06 PM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:a6009276aec90747aa527ade53b66a4698b67156.

#2 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
